import dayjs from 'dayjs';
function getcolumns(setdrawer, bus) {
  let listOptions = bus?.map((it) => ({ label: it?.name, value: it?.code }));
  console.log(listOptions);
  return [
    {
      tab: '我的待办',
      key: '1',
      columns: [
        {
          title: '追踪单号',
          dataIndex: 'taskOrderNo',
          key: 'taskOrderNo',
          render: (text, row, _, action) => {
            return (
              <a
                onClick={() => {
                  setdrawer((s) => ({
                    ...s,
                    open: true,
                    title: '详情',
                    val: 'only',
                    type: 'detail',
                    title: '详细信息',
                    item: row,
                  }));
                }}
              >
                {row?.taskOrderNo}
              </a>
            );
          },
        },
        {
          title: '设备编号',
          dataIndex: 'equipmentNo',
          key: 'equipmentNo',
        },
        {
          title: '设备名称',
          dataIndex: 'equipmentName',
          key: 'equipmentName',
        },
        {
          title: '故障描述',
          dataIndex: 'faultDescription',
          key: 'faultDescription',
          valueType: 'textarea',
        },
        {
          title: '创建时间',
          dataIndex: 'createTime',
          key: 'createTimeList',
          valueType: 'dateTimeRange',
          fieldProps: {
            showTime: {
              format: 'HH:mm',
            },
            format: 'YYYY-MM-DD HH:mm',
          },
        },
        {
          title: '创建人员',
          dataIndex: 'createUserName',
          key: 'createUserId',
          valueType: 'select',
          fieldProps: {
            showSearch: true,
          },
          options: {
            path: '/auth/sysUser/selection',
          },
        },
        {
          title: '下次追踪日期',
          dataIndex: 'nextTrackDate',
          key: 'nextTrackDateList',
          valueType: 'dateRange',
          render: (text, row, _, action) => {
            return (
              <span
                style={{
                  color: `${
                    row?.nextTrackDate?.valueOf() < dayjs().format('YYYY-MM-DD').valueOf()
                      ? '#f50'
                      : 'rgba(0, 0, 0, 0.85)'
                  }`,
                }}
              >
                {row.nextTrackDate}
              </span>
            );
          },
          // fieldProps: {
          //   showTime: {
          //     format: 'HH:mm',
          //   },
          //   format: 'YYYY-MM-DD HH:mm',
          // },
        },
        {
          title: '最新追踪人员',
          dataIndex: 'newRepairUserName',
          key: 'newRepairUserId',
          valueType: 'select',
          fieldProps: {
            showSearch: true,
          },
          options: {
            path: '/auth/sysUser/selection',
          },
        },
        {
          title: '来源单号',
          dataIndex: 'dataSourcesNo',
          key: 'dataSourcesNo',
        },
        {
          title: '工单状态',
          dataIndex: 'statusName',
          key: 'status',
          valueType: 'select',
          options: listOptions,
          fieldProps: {
            dropdownMatchSelectWidth: 150,
          },
        },
      ],
      pathconfig: {
        enableadd: true,
        enableedit: false,
        enabledelete: true,
        enabledetail: false,
        add: '',
        edit: '',
        list: '/repair/umTrackOrder/queryMyDealwithList',
        delete: '/repair/umTrackOrder/deleteById',
        detail: '',
      },
    },
    {
      tab: '未完成',
      key: '2',
      columns: [
        {
          title: '追踪单号',
          dataIndex: 'taskOrderNo',
          key: 'taskOrderNo',
          render: (text, row, _, action) => {
            return (
              <a
                onClick={() => {
                  setdrawer((s) => ({
                    ...s,
                    open: true,
                    title: '详情',
                    val: 'only',
                    type: 'detail',
                    title: '详细信息',
                    item: row,
                  }));
                }}
              >
                {row?.taskOrderNo}
              </a>
            );
          },
        },
        {
          title: '设备编号',
          dataIndex: 'equipmentNo',
          key: 'equipmentNo',
        },
        {
          title: '设备名称',
          dataIndex: 'equipmentName',
          key: 'equipmentName',
        },
        {
          title: '故障描述',
          dataIndex: 'faultDescription',
          key: 'faultDescription',
          valueType: 'textarea',
        },
        {
          title: '创建时间',
          dataIndex: 'createTime',
          key: 'createTimeList',
          valueType: 'dateTimeRange',
          fieldProps: {
            showTime: {
              format: 'HH:mm',
            },
            format: 'YYYY-MM-DD HH:mm',
          },
        },
        {
          title: '创建人员',
          dataIndex: 'createUserName',
          key: 'createUserName',
          valueType: 'select',
          fieldProps: {
            showSearch: true,
          },
          options: {
            path: '/auth/sysUser/selection',
          },
        },
        {
          title: '最新追踪人员',
          dataIndex: 'newRepairUserName',
          key: 'newRepairUserName',
          valueType: 'select',
          fieldProps: {
            showSearch: true,
          },
          options: {
            path: '/auth/sysUser/selection',
          },
        },
        {
          title: '来源单号',
          dataIndex: 'dataSourcesNo',
          key: 'dataSourcesNo',
        },
        {
          title: '工单状态',
          dataIndex: 'statusName',
          key: 'status',
          valueType: 'select',
          options: listOptions,
          fieldProps: {
            dropdownMatchSelectWidth: 150,
          },
        },
      ],
      pathconfig: {
        enableadd: true,
        enableedit: false,
        enabledelete: true,
        enabledetail: false,
        add: '',
        edit: '',
        list: '/repair/umTrackOrder/queryList',
        delete: '/repair/umTrackOrder/deleteById',
        detail: '',
      },
    },
    {
      tab: '已完成',
      key: '3',
      columns: [
        {
          title: '追踪单号',
          dataIndex: 'taskOrderNo',
          key: 'taskOrderNo',
          render: (text, row, _, action) => {
            return (
              <a
                onClick={() => {
                  setdrawer((s) => ({
                    ...s,
                    open: true,
                    title: '详情',
                    val: 'only',
                    type: 'detail',
                    title: '详细信息',
                    item: row,
                  }));
                }}
              >
                {row?.taskOrderNo}
              </a>
            );
          },
        },
        {
          title: '设备编号',
          dataIndex: 'equipmentNo',
          key: 'equipmentNo',
        },
        {
          title: '设备名称',
          dataIndex: 'equipmentName',
          key: 'equipmentName',
        },
        {
          title: '故障描述',
          dataIndex: 'faultDescription',
          key: 'faultDescription',
          valueType: 'textarea',
        },
        {
          title: '创建时间',
          dataIndex: 'createTime',
          key: 'createTimeList',
          valueType: 'dateTimeRange',
          fieldProps: {
            showTime: {
              format: 'HH:mm',
            },
            format: 'YYYY-MM-DD HH:mm',
          },
        },
        {
          title: '创建人员',
          dataIndex: 'createUserName',
          key: 'createUserName',
          valueType: 'select',
          fieldProps: {
            showSearch: true,
          },
          options: {
            path: '/auth/sysUser/selection',
          },
        },
        {
          title: '最新追踪人员',
          dataIndex: 'newRepairUserName',
          key: 'newRepairUserName',
          valueType: 'select',
          fieldProps: {
            showSearch: true,
          },
          options: {
            path: '/auth/sysUser/selection',
          },
        },
        {
          title: '关单时间',
          dataIndex: 'repairCloseTime',
          key: 'repairCloseTimeList',
          valueType: 'dateTimeRange',
          fieldProps: {
            showTime: {
              format: 'HH:mm',
            },
            format: 'YYYY-MM-DD HH:mm',
          },
        },
        {
          title: '来源单号',
          dataIndex: 'dataSourcesNo',
          key: 'dataSourcesNo',
        },
        {
          title: '工单状态',
          dataIndex: 'statusName',
          key: 'status',
          search: false,
          fieldProps: {
            dropdownMatchSelectWidth: 150,
          },
        },
      ],
      pathconfig: {
        enableadd: true,
        enableedit: false,
        enabledelete: true,
        enabledetail: false,
        add: '',
        edit: '',
        list: '/repair/umTrackOrderHis/queryList',
        delete: '/repair/umTrackOrder/deleteById',
        detail: '',
      },
    },
  ];
}
export default getcolumns;
